Bug 1876470 (CVE-2020-3899) - CVE-2020-3899 webkitgtk: Memory consumption issue leading to arbitrary code execution
Summary: CVE-2020-3899 webkitgtk: Memory consumption issue leading to arbitrary code e...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-3899
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1877119 1877358
Blocks: 1876477
TreeView+ depends on / blocked
 
Reported: 2020-09-07 09:49 UTC by Tomas Hoger
Modified: 2021-02-16 19:21 UTC (History)
3 users (show)

Fixed In Version: webkitgtk 2.28.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-29 22:02:15 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4035 0 None None None 2020-09-29 20:46:24 UTC
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:03:51 UTC

Description Tomas Hoger 2020-09-07 09:49:37 UTC
WebKitGTK Security Advisory WSA-2020-0005 describes the following issue:

CVE-2020-3899

Impact: A remote attacker may be able to cause arbitrary code execution. Description: A memory consumption issue was addressed with improved memory handling.

Versions affected: WebKitGTK before 2.28.2 and WPE WebKit before 2.28.2.

Comment 1 Tomas Hoger 2020-09-07 09:49:43 UTC
External References:

https://webkitgtk.org/security/WSA-2020-0005.html

Comment 3 errata-xmlrpc 2020-09-29 20:46:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4035 https://access.redhat.com/errata/RHSA-2020:4035

Comment 4 Product Security DevOps Team 2020-09-29 22:02:15 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-3899

Comment 5 errata-xmlrpc 2020-11-04 01:03:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4451 https://access.redhat.com/errata/RHSA-2020:4451


Note You need to log in before you can comment on or make changes to this bug.